Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.transport.udp
Class PacketPusher

    java.lang.Object
      net.i2p.router.transport.udp.PacketPusher

All Implemented Interfaces:
  Runnable

     class PacketPusher

extends Object
implements Runnable

Blocking thread to grab new packets off the outbound fragment pool and toss 'em onto the outbound packet queue

Constructor Summary
`PacketPusher(RouterContext ctx, OutboundMessageFragments fragments, UDPSender sender)`

Method Summary
`void` | `run()`
`void` | `shutdown()`
`void` | `startup()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PacketPusher

    public PacketPusher(RouterContext ctx,
                        OutboundMessageFragments fragments,
                        UDPSender sender)

Method Detail

### startup

    public void startup()

### shutdown

    public void shutdown()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD